summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wirzenius <lars.wirzenius@codethink.co.uk>2012-06-06 17:34:04 +0100
committerPete Batard <pete@akeo.ie>2012-06-06 17:34:59 +0100
commit802a994e6c26b5f9eec55a2c18a560832f3c57ac (patch)
tree41402a020c72cf692fcf083958b0c31400b79d06
parentdd06d6004cc3f9228bbc6886b91aa53ae17afe50 (diff)
Autotools: Fix autogen.sh behavior when libtool is not found
* Fix naked "exit", which no exit code, to prevent a build failure from being noticed automatically if a build dependency is lacking. * Also printed error message to stderr rather than stdout.
-rwxr-xr-xbootstrap.sh4
-rw-r--r--libusb/version_nano.h2
2 files changed, 3 insertions, 3 deletions
diff --git a/bootstrap.sh b/bootstrap.sh
index 4f95257..8b2b2c0 100755
--- a/bootstrap.sh
+++ b/bootstrap.sh
@@ -8,8 +8,8 @@ if (libtoolize --version) < /dev/null > /dev/null 2>&1; then
elif (glibtoolize --version) < /dev/null > /dev/null 2>&1; then
LIBTOOLIZE=glibtoolize
else
- echo "libtoolize or glibtoolize was not found! Please install libtool."
- exit
+ echo "libtoolize or glibtoolize was not found! Please install libtool." 1>&2
+ exit 1
fi
$LIBTOOLIZE --copy --force || exit 1
diff --git a/libusb/version_nano.h b/libusb/version_nano.h
index 8d7dc39..9624d66 100644
--- a/libusb/version_nano.h
+++ b/libusb/version_nano.h
@@ -1 +1 @@
-#define LIBUSB_NANO 10521
+#define LIBUSB_NANO 10522